61822: MassTransit Plug-in Compatibility With Safari 12

use Google Translate

Applies to: 

MassTransit plug-in compatibility with Safari 12

The MassTransit plug-in is not currently compatible with Safari 12. See Background for more details.

Current Alternatives

The current options for Mac users are:

  • Use the MassTransit plug-in with Safari 11 or earlier.
  • Use the MassTransit plug-in with Chrome or Firefox.
  • Upload or download files using MassTransit's HTTPS transfer mode, in Safari, Chrome or Firefox. Note that the MassTransit plug-in adds several benefits over HTTPS transfers, so you may want to consider using it via Chrome or Firefox.

Background

In September 2018, Apple released Safari 12 for macOS 10.12, 10.13, and 10.14.

Apple removed support for NPAPI plug-ins in Safari 12. For details, see https://developer.apple.com/safari/whats-new/

Since MassTransit for Safari uses the NPAPI plug-in it is not compatible with Safari 12.

Acronis is working on a Safari App Extension for MassTransit using the latest API and will publish it in the Mac App Store.

Hotfix workaround - to be applied on the MassTransit Server

Acronis updated the MassTransit plug-in download page to inform users of Safari 12 about alternative solutions. 

To update the MassTransit plug-in download page, please download the dspGeneral_pluginDownload.tpl file and put it in the

MTWeb\templates\General folder (you will need to extract it from the zip file), replacing the existing file with the same name.

dspgeneral_plugindownload.zip

We will provide updates to this article when new information regarding this issue is available.

Tags: 

You are reporting a typo in the following text:
Simply click the "Send typo report" button to complete the report. You can also include a comment.
CAPTCHA
This question is for testing whether or not you are a human visitor and to prevent automated spam submissions.
3 + 1 =
Solve this simple math problem and enter the result. E.g. for 1+3, enter 4.